_Eina_Future_Cb_Log_Desc Struct Reference
Eina » Eina Promises » Eina Futures » Eina Future Callbacks

This struct is used by eina_future_cb_log_from_desc() and its contents will be routed to eina_log_print() along side the future value. More...

`#include <eina_promise.h>`

## Data Fields

const char * | prefix
| The prefix to be printed.
const char * | suffix
| The suffix the be printed.
const char * | file
| The file name to be passed to eina_log_print().
const char * | func
| The file name to be passed to eina_log_print().
Eina_Log_Level | level
| The Eina_Log_Level to use.
int | domain
| The log domain to use.
int | line
| The line number to be passed to eina_log_print().

## Detailed Description

This struct is used by eina_future_cb_log_from_desc() and its contents will be routed to eina_log_print() along side the future value.

See also
  eina_future_cb_log_from_desc()

## Field Documentation

## prefix

const char* _Eina_Future_Cb_Log_Desc::prefix

The prefix to be printed.

If `NULL` an empty string ("") is used.

Referenced by eina_future_cb_log_from_desc().

## suffix

const char* _Eina_Future_Cb_Log_Desc::suffix

The suffix the be printed.

If `NULL` '
' is used.

Referenced by eina_future_cb_log_from_desc().

## file

const char* _Eina_Future_Cb_Log_Desc::file

The file name to be passed to eina_log_print().

if `NULL` "Unknown file" is used.

Referenced by eina_future_cb_log_from_desc().

## func

const char* _Eina_Future_Cb_Log_Desc::func

The file name to be passed to eina_log_print().

if `NULL` "Unknown function" is used.

Referenced by eina_future_cb_log_from_desc().